/* 新規ページ作成時に必要 */
.g-manu-sub--switch{
    display: none;
}

.l-head--page {
    height: 100px;
    margin-bottom: 0;
}
/* -------------- */

.u-hide--pc{
    display: block;
}

.u-hide--sp{
    display: none;
}

.p-school-lead{
    
}

.p-school-lead_inr{
    width: 90%;
    margin: 0 auto 5rem;
    position: relative;
}

.p-school-lead h3{
    position: relative;
    text-align: center;
    font-weight: bold;
    padding-bottom: calc(2rem + 69px);
}

.p-school-lead h3 > span{
    letter-spacing: 1px;
    line-height: 1.35;
}

.p-school-lead h3 > span:first-child{
    display: block;
    color: #0099cc;
    margin-bottom: 0.5rem;
    font-size: 18px;
}

.p-school-lead h3 > span:nth-child(2){
   
    font-size: 26px;
}

.p-school-lead h3 > span:nth-child(2) > span:first-child{
    display: block;
}
.p-school-lead h3 > span:nth-child(2) > span:last-child{

}


.p-school-lead h3::before{
    display: block;
    position: absolute;
    content: "";
    bottom: 1rem;
    left: 50%;
    transform: translateX(-50%);
    width: 10px;
    height: 69px;
    background: linear-gradient(
    to bottom,
    #22a5c8,
    #5da58c,
    #c8a41f
    );
}

.p-school-lead h4{
    width: fit-content;
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    white-space: nowrap;
    color: #fff;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.4);
}

.p-school-lead h4::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 100%;
    margin-left: 8px;
    width: 20px;
    height: 1px;
    background-color: rgba(255,255,255);
    transform: translateY(-50%);
}

.lead{
    width: 90%;
    margin: 0 auto 5rem;
    
}
.lead p{
    width: 100%;
    height: 220px;
    background-color: aquamarine;
}

.p-school-list{

}

.p-school-list_inr{
    width: 90%;
    margin: 0 auto;
    max-width: 1000px;
}

.p-school-list__wrap{
    margin-bottom: 4rem;
}

.p-school-list__wrap h3{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 1.25rem;
}

.p-school-list__wrap h3 span{
    display: inline-block;
    width: fit-content;
}

.p-school-list__wrap h3 span:nth-of-type(1){
    margin-bottom: 1rem;
    font-size: 18px;
    line-height: 18px;
    font-weight: bold;
    letter-spacing: 2px;
    color: #fff;
    padding: 0.5rem;
    background: linear-gradient(to right, #1aa5d0, #e6a400);
}

.p-school-list__wrap h3 span:nth-of-type(2){
    font-size: 21px;
    font-weight: bold;
    letter-spacing: 1px;
}

.p-school-list ul{
    list-style: none;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
}

.p-school-list ul li{
    margin-bottom: 1.5rem;
    border: solid 1px #ccc;
    box-sizing: border-box;
}

.p-school-list ul li:nth-child(8){
    border: none;
}

.p-school-list__contents{
    width: 90%;
    margin: 0 auto;
    padding: 0.75rem 0;
    text-align: center;
}

.p-school-list ul li picture{
    display: inline-block;
    margin-bottom: 0.75rem;
}

.p-school-list ul li h4{
    margin-bottom: 0.125rem;
    font-size: 1rem;
    font-weight: bold;
}

.p-school-list ul li h4 span{
    display: block;
    font-size: 0.875rem;
}

.p-school-list ul li p{
    font-size: 0.75rem;
    color: #0080cb;
}


.p-school-cta{

}

.p-school-cta__inr{
    width: 100%;
    padding: 2.5rem 0;
    border: solid 2px #89898a;
    box-sizing: border-box;
    margin-bottom: 5rem;
}

.p-school-cta__visual{
    margin-bottom: 1.75rem;
    text-align: center;
}

.p-school-cta img{
    max-width: 175px;
}

.p-school-cta__txt{

}

.p-school-cta h3{
    text-align: center;
    letter-spacing: 1px;
}

.p-school-cta h3 > span:nth-of-type(1){
    display: block;
    margin-bottom: 1.25rem;
    font-size: 18px;
    color: #1079be;
}
.p-school-cta h3 > span:nth-of-type(2){
    display: block;
    margin-bottom: 1.25rem;
    line-height: 1.5;
}

/* .p-school-cta__txt a{
    display: block;
    text-align: center;
    width: fit-content;
    margin: 0 auto;
    padding: 1.25rem 1.5rem;
    font-size: 16px;
    font-weight: bold;
    background: linear-gradient(to right,
    #22a5c8,
    #5da58c,
    #c8a41f
    );
    color: #fff;
    letter-spacing: 1px;
    border-radius: 35px;
    border: solid 3px #cacacb;
    box-sizing: border-box;
} */
 
.p-school-cta__btn {
    position: relative;
    overflow: hidden;
    display: block;
    text-align: center;
    width: fit-content;
    margin: 0 auto;
    padding: 1.25rem 1.5rem;
    font-size: 16px;
    font-weight: bold;
    background: linear-gradient(to right,
    #22a5c8,
    #5da58c,
    #c8a41f
    );
    letter-spacing: 1px;
    border-radius: 35px;
    border: solid 3px #cacacb;
    box-sizing: border-box;
    text-decoration: none;
    color: #fff;
    transition: ease .2s;
}

.p-school-cta__btn:hover, .p-school-cta__btn:visited, .p-school-cta__btn:link{
    color: #fff;
    text-decoration: none;
}

.p-school-cta__btn::before {
    content: '';
    position: absolute;
    top: 0;
    left: -75%;
    width: 50%;
    height: 100%;
    background: linear-gradient(to right, rgba(255,255,255,0) 0%, rgba(255,255,255,.3) 100%);
    transform: skewX(-25deg);
}

.p-school-cta__btn:hover::before {
  animation: shine 0.7s;
}

@keyframes shine {
  100% {
    left: 125%;
  }
}


.p-school-cta__txt a:hover{

}

@media only screen and (min-width:768px) {
    /* 新規ページ作成時に必要 */
    .g-manu-sub--switch{
        display: block;
    }
    .l-head--page {
        height: calc(162px - 1rem);
        margin-bottom: 2.5rem;
    }
    /* -------------- */

    .u-hide--pc{
        display: none;
    }

    .u-hide--sp{
        display: block;
    }

    .p-school-lead_inr{
        width: 90%;
        max-width: 1000px;
    }

    .p-school-lead h3{
        position: absolute;
        bottom: 2rem;
        left: 5px;
        text-align: left;
        padding-bottom: 0;
        width: 400px;
    }

    .p-school-lead h3::before{
        bottom: 0;
        left: 0;
        transform: none;
        width: 15px; /*25 105*/
        height: 65px;
    }
    .p-school-lead h3 > span:first-child{
        font-size: 18px;
    }

    .p-school-lead h3 > span:nth-child(2){
        display: block;
        margin-left: calc(0.5rem + 15px);
        font-size: 26px;
    }

    .p-school-lead h4{
        bottom: 10px;
        left: calc(50% + 150px);
    }

    .p-school-lead h4::before {
        top: calc(50% - 1px);
        margin-left: 6px;
        width: 30px;
    }




    .p-school-list__wrap h3{
        flex-direction: row;
        justify-content: center;
    }
    .p-school-list__wrap h3 span:nth-of-type(1){
        margin-bottom: 0;
        font-size: 20px;
        line-height: 20px;
        margin-right: 1rem;
    }
    .p-school-list__wrap h3 span:nth-of-type(2){
        font-size: 26px;
    }
    .p-school-list ul{
        grid-template-columns: repeat(3, 1fr);
        gap: 2.5rem;
    }
    .p-school-list ul li{
        max-width: 300px;
    }
    .p-school-list__contents{
        padding: 1rem 0;
    }


    .p-school-cta__inr{
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 1.5rem;
    }

    .p-school-cta__visual{
        margin-bottom: 0;
        text-align: center;
        width: 27%;
    }

    .p-school-cta img{
        max-width: 150px;
    }

    .p-school-cta__txt{
        width: 70%;
    }


    .p-school-cta h3 > span:nth-of-type(1){
        margin-bottom: 1.25rem;
        font-size: 20px;
    }
    .p-school-cta h3 > span:nth-of-type(2){
        margin-bottom: 1.25rem;
        line-height: 1.5;
        font-size: 17px;
    }

    .p-school-cta__txt a{
        padding: 1.25rem 1.75rem;
        border-radius: 35px;
        font-size: 21px;
    }


}

@media only screen and (min-width:1000px) {
    .p-school-list ul li h4 span{
        display: inline-block;
        font-size: 1rem;
    }

    .p-school-lead h3{
        bottom: 2.5rem;
        width: 450px;
    }

    .p-school-lead h3::before{
        bottom: 0.5rem;
        width: 15px;
        height: 72px;
    }
    .p-school-lead h3 > span:first-child{
        font-size: 22px;
    }

    .p-school-lead h3 > span:nth-child(2){
        margin-left: calc(1rem + 15px);
        font-size: 32px;
    }

    .p-school-lead h4{
        font-size: 20px;
        letter-spacing: 1px;
        bottom: 15px;
        left: calc(50% + 200px);
    }

    .p-school-lead h4::before {
        width: 40px;
    }

    .p-school-cta__inr{
        padding: 2.5rem;
    }

    .p-school-cta__visual{
        width: 22%;
    }

    .p-school-cta img{
        max-width: 170px;
    }

    .p-school-cta__txt{
        width: 75.5%;
    }


    .p-school-cta h3 > span:nth-of-type(1){
        margin-bottom: 1.25rem;
        font-size: 26px;
    }
    .p-school-cta h3 > span:nth-of-type(2){
        font-size: 23px;
        margin-bottom: 1.25rem;
        line-height: 1.5;
    }

    .p-school-cta__txt a{
        padding: 1.45rem 2.25rem;
        font-size: 27px;
        border-radius: 35px;
    }


}


@media only screen and (min-width:1100px) {
    .p-school-cta__inr{
        padding: 2.5rem 3rem;
    }
    .p-school-cta h3 > span:nth-of-type(1){
        font-size: 28px;
    }
    .p-school-cta h3 > span:nth-of-type(2){
        font-size: 24px;
    }

    .p-school-cta__txt a{
        font-size: 30px;
    }

}